<!DOCTYPE html>
<html lang="en">

{% extends 'logged-in-template.html'%}
{% block head %}
    {{ super() }}
{% endblock %}

{% import 'macros.html' as macro %}

{% from "form_macros.html" import show_field, show_submit %}

<body>

<div class="d-flex" id="wrapper">


    {% block sidebar %}
      {{ super() }}
    {% endblock %}

    <div id="page-content-wrapper">

        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            {% block nav %}
            <button class="btn btn-primary" id="menu-toggle">Ocultar Menu</button>
            <a href="/agregar-sensor" class="btn btn-primary" id="add-sensor" style="margin-left: 10px">Agregar Sensor</a>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            {{ super() }}
            {% endblock %}
        </nav>
        {% block body %}

        <form action="{{ url_for('sensors.index') }}" method="GET">
            <table class="table">
                        <thead>
                        <th scope="col">Nombre</th>
                        <th scope="col">Estado</th>
                        <th scope="col">Activo</th>
                        <th scope="col">Sismologo</th>
                        <th scope="col"></th>
                        </thead>
                <tbody>
                <td scope="col">{{ show_field(form.name) }}</td>
                        <td scope="col">{{ show_field(form.status) }}</td>
                        <td scope="col">{{ show_field(form.active) }}</td>
                        <td scope="col">{{ show_field(form.user_email) }}</td>
                        <td scope="col">{{ form.submit_button }}</td>
                </tbody>
                    </table>
        </form>

        <nav aria-label="Pagination">
              <ul class="pagination justify-content-end">
              {% if pagination.page != 1 %}
              <li class="page-item">
                <a class="page-link"
                 href="{{ url_for('sensors.index',
                      page = (pagination.page-1),
                      name = request.args.name,
                      status = request.args.status,
                      active = request.args.active,
                      user_email = request.args.user_email ) }}" >Anterior</a>
              </li>
              {% else %}
              <li class="page-item disabled">
                <a class="page-link" href="#" tabindex="-1" aria-disabled="true">Anterior</a>
              </li>
              {% endif %}
              {% for n in range(1,pagination.total_pages+1) %}
                   {% if n != pagination.page %}
                        <li class="page-item">
                          <a class="page-link" href="{{ url_for('sensors.index',
                               page = n,
                               name = request.args.name,
                               status = request.args.status,
                               active = request.args.active,
                               user_email = request.args.user_email ) }}">{{n}}</a>
                        </li>
                   {% else %}
                       <li class="page-item disabled">
                           <a class="page-link" href="#" tabindex="-1" aria-disabled="true">{{n}}</a>
                       </li>
                   {% endif %}
              {% endfor %}
              {% if pagination.page != pagination.total_pages %}
              <li class="page-item">
                <a class="page-link"
                href="{{ url_for('sensors.index',
                     page = (pagination.page+1),
                     name = request.args.name,
                     status = request.args.status,
                     active = request.args.active,
                     user_email = request.args.user_email ) }}" >Siguiente</a>
              </li>
              {% else %}
              <li class="page-item disabled">
                <a class="page-link" href="#" tabindex="-1" aria-disabled="true">Siguiente</a>
              </li>
              {% endif %}
              </li>
            </ul>
          </nav>

        <table class="table">
            <thead class="thead-dark">
            <tr>
                <th scope="col">ID</th>
                {% if request.args.order_by == "name[asc]"  %}
                <th scope="col"> <a href="{{ url_for('sensors.index',
                      order_by = 'name[desc]',
                      name = request.args.name,
                      status = request.args.status,
                      active = request.args.active,
                      user_email = request.args.user_email ) }}" >Nombre</a></th>
                {% else %}
                <th scope="col"><a href="{{ url_for('sensors.index',
                      order_by = 'name[asc]',
                      name = request.args.name,
                      status = request.args.status,
                      active = request.args.active,
                      user_email = request.args.user_email ) }}" >Nombre</a></th>
                {% endif %}
                <th scope="col">IP</th>
                <th scope="col">Puerto</th>
                {% if request.args.order_by == "status[asc]"  %}
                <th scope="col"> <a href="{{ url_for('sensors.index',
                      order_by = 'status[desc]',
                      name = request.args.name,
                      status = request.args.status,
                      active = request.args.active,
                      user_email = request.args.user_email ) }}" >Estado</a></th>
                {% else %}
                <th scope="col"><a href="{{ url_for('sensors.index',
                      order_by = 'status[asc]',
                      name = request.args.name,
                      status = request.args.status,
                      active = request.args.active,
                      user_email = request.args.user_email ) }}" >Estado</a></th>
                {% endif %}
                {% if request.args.order_by == "active[asc]"  %}
                <th scope="col"> <a href="{{ url_for('sensors.index',
                      order_by = 'active[desc]',
                      name = request.args.name,
                      status = request.args.status,
                      active = request.args.active,
                      user_email = request.args.user_email ) }}" >Activo</a></th>
                {% else %}
                <th scope="col"><a href="{{ url_for('sensors.index',
                      order_by = 'active[asc]',
                      name = request.args.name,
                      status = request.args.status,
                      active = request.args.active,
                      user_email = request.args.user_email ) }}" >Activo</a></th>
                {% endif %}
                <th scope="col">Sismologo</th>
                <th scope="col">Detalles</th>
            </tr>
            </thead>
            <tbody>
                {% for sensor in sensors %}
                    {{ macro.show_sensor(sensor) }}
                {% endfor %}
            </tbody>
        </table>
        {% endblock %}
    </div>


</div>

  {% block script %}
    {{ super() }}
  {% endblock %}

</body>

</html>
